<?php
class LocalPrevia
{
	public  $qry;
	private	$sql;
	private $from = 'local_previa';
	private $id = 'id_local_previa';
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}
	public function Select($id = 0)
	{
		$this->sql = "select id_local_previa, nome, telefone, endereco, bairro, cidade, cep, site, obs
							from local_previa";
		if ($id != 0) {
			$this->sql .= " where $this->id = $id and ";
		} else {
			$this->sql .= ' where ';
		}
		$this->sql .= "id_empresa = $this->id_empresa limit 1";
		$this->execulta();
	}


	public function SelectLocalPrevia()
	{
		$this->sql = "select id_local_previa, nome, telefone, endereco, bairro, cidade, cep, site, obs
							from local_previa
							where id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function VerificarDuplicidade($valor, $campo)
	{
		$valor = addslashes($valor);
		$this->sql = "select $campo from $this->from
						  where $campo = '$valor'
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function Insert($nome, $telefone, $endereco, $bairro, $cidade, $cep, $site, $obs)
	{
		$nome 	  = addslashes($nome);
		$endereco = addslashes($endereco);
		$bairro	  = addslashes($bairro);
		$cidade   = addslashes($cidade);
		$site	  = addslashes($site);
		$obs	  = addslashes($obs);
		$this->sql = "INSERT INTO local_previa
						(nome, telefone, endereco, bairro, cidade, cep,	site, obs, id_empresa)
						VALUES
						('$nome', '$telefone', '$endereco', '$bairro', '$cidade', '$cep', '$site', '$obs', '$this->id_empresa')";
		$this->execulta();
		return mysqli_insert_id();
	}


	public function Upadate($id_local_previa, $nome, $telefone, $endereco, $bairro, $cidade, $cep, $site, $obs)
	{
		$nome 	  = addslashes($nome);
		$endereco = addslashes($endereco);
		$bairro	  = addslashes($bairro);
		$cidade   = addslashes($cidade);
		$site	  = addslashes($site);
		$obs	  = addslashes($obs);

		$this->sql = "UPDATE local_previa 
						SET 
						nome = '$nome',
						telefone = '$telefone',
						endereco = '$endereco',
						bairro = '$bairro',
						cidade = '$cidade',
						cep = '$cep',
						site = '$site',
						obs = '$obs' 
						WHERE id_local_previa = $id_local_previa";
		$this->execulta();
	}


	public function Delete($id)
	{
		$this->sql = "delete from $this->from
							where $this->id = '$id'";
		$this->execulta();
	}


	public function Localizar($Localizador)
	{
		$this->sql = "select $this->id, nome, telefone, endereco
							  from $this->from
							  where id_empresa = $this->id_empresa 
							  and nome like '%$Localizador%'";
		$this->execulta();
	}
}
